<%@ language="javascript"%>
<% 
   Response.Expires = 0;
   Response.Buffer = true; 
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>COMS Web Services</title>
<link rel="stylesheet" type="text/css" href="webservice.css">
<script language="javascript" src="webservice.js" runat="server">
</script>

<script language="javascript">

function SetCookie(name, value)
  {
  document.cookie = name + "=" + escape(value);
  }

function GetCookie(name)
  {
  var cookies = document.cookie + ";";
  var search = name + "=";
  if (cookies.length > search.length)
    {
    offset = cookies.indexOf(search);
    if (offset >= 0)
      {
      offset += search.length;
      end = cookies.indexOf(";", offset);
      return unescape(cookies.substring(offset, end));
      }
    }
  return "";
  }

function OnMenuClick(id)
  {
  var i, newValue;
  var list = document.getElementsByTagName("TABLE");
  for (i = 0; i < list.length; i++)
    {
    node = list.item(i);
    if (node.id != null && node.id.substr(0, 7) == "_folder")
      {
      newValue = GetCookie(node.id);
      if (newValue == "")
        newValue = "none";
      if (node.id == id) 
        if (newValue == "block")
          newValue = "none";
        else
          newValue = "block";
      SetCookie(node.id, newValue);
      node.style.display = newValue;
      }
    }
  }

function SetElementText(id, text, length)
  {
  var child, i;
  var node = document.getElementById(id);
  if (node != null)
    {
    text = decodeURI(text);
    if (node.tagName == "INPUT")
      node.setAttribute("value", text);
    else
      {
      if (node.tagName != "TEXTAREA")
        while (text.length < length)
          text += " ";
      if (node.hasChildNodes)
        for (i = 0; i < node.childNodes.length; i++)
          if (node.childNodes.item(i).nodeType == 3)
            {
            node.childNodes.item(i).nodeValue = text;
            return;
            }
      child = document.createTextNode(text);
      node.appendChild(child);
      }
    }
  }

</script>

</head>
<body onload="OnMenuClick(null);">

<%
  var screenName = "welcome";
  if (Request.QueryString.Count > 0)
    screenName = Request.QueryString.Key(1);
  if (Request.Form.Count > 0)
    screenName = DoWebService();
%>

  <table width="100%" border="1" cellpadding="5" cellspacing="0">
    <tr>
      <th class="headingClass" width="15%">Navigation</th>
      <th class="headingClass" width="85%">COMS Web Services Demo</th>
    </tr>
    <tr>
      <td class="navigateClass" valign="top">
        <%
          WriteNavigationMenu();
        %>
      </td>
      <td class="normalClass" valign="top">
        <%
          WriteScreenFile(screenName);
          if (Request.Form.Count > 0)
            EmitOutputFields();
        %>
      </td>
    </tr>
  </table>
</body>
</html>

